/// class ProspectDirector.Modules.Common.FeaturedObjectEditorPanelbar
/// using ProspectDirector.Modules.Common.FeaturedObjectEditor

ProspectDirector.Modules.Common.FeaturedObjectEditorPanelbar = ProspectDirector.Modules.Common.FeaturedObjectEditor.extend({

    //---------------------------
    //--- CONSTRUCTOR
    //---------------------------

    init: function (options) {

        this._super(options);

        this.init_panelBar();

        this.sizeContent();

    },

    //---------------------------
    //--- PROPERTIES
    //---------------------------

    get_panelBarContainer: function () {
        return this.get_container().find("[data-id=featuredobject-panelbar-container]");
    },

    get_panelBar: function () {
        return this.get_container().find("UL[data-role=featuredobject-panelbar]");
    },

    //---------------------------
    //--- INITIALIZERS
    //---------------------------

    init_panelBar: function () {

        this.get_panelBar().kendoPanelBar({
            animation: false
        });

        if (this.get_dialog().length > 0) {
            this.get_panelBarContainer().css({
                border: "1px solid #CCCCCC"
            });
        }

    },

    //---------------------------
    //--- METHODS
    //---------------------------

    sizeContent: function () {

        if (this.get_dialog().length > 0) {
            this.get_panelBarContainer().height(this.get_dialog().height() - 50);
        }

    },

    refreshValidation: function () {

    }

});